Page MenuHomePhabricator

Rewrite DHCP op mode in the new style
Closed, ResolvedPublicFEATURE REQUEST

Description

Let's keep it command compatible whenever possible.

Details

Difficulty level
Normal (likely a few hours)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

dmbaturin triaged this task as High priority.Sep 1 2018, 11:33 PM
dmbaturin created this task.
pasik added a subscriber: pasik.Oct 15 2018, 9:52 PM
syncer lowered the priority of this task from High to Low.Oct 20 2018, 5:02 AM
syncer reassigned this task from dmbaturin to c-po.Jan 22 2019, 1:24 PM
c-po added a comment.Jul 21 2019, 3:54 PM

VyOS 1.2.2 only contains DHCP op mode definitions from the following packages:

$ find /opt/vyatta/share/vyatta-op/templates -name "*dhcp*" | xargs dpkg -S
vyatta-op: /opt/vyatta/share/vyatta-op/templates/monitor/dhcp
vyatta-op: /opt/vyatta/share/vyatta-op/templates/release/dhcp
vyatta-op: /opt/vyatta/share/vyatta-op/templates/release/dhcpv6
vyatta-op: /opt/vyatta/share/vyatta-op/templates/renew/dhcp
vyatta-op: /opt/vyatta/share/vyatta-op/templates/renew/dhcpv6
vyos-1x: /opt/vyatta/share/vyatta-op/templates/restart/dhcp
vyos-1x: /opt/vyatta/share/vyatta-op/templates/restart/dhcpv6
vyos-1x, vyatta-op: /opt/vyatta/share/vyatta-op/templates/show/dhcp
vyos-1x, vyatta-op: /opt/vyatta/share/vyatta-op/templates/show/dhcpv6
vyatta-op: /opt/vyatta/share/vyatta-op/templates/show/log/dhcp

Thus this can be resolved.

c-po closed this task as Resolved.Jul 21 2019, 3:54 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Nov 12 2019, 9:18 PM